fop 1.1

## org.apache.fop.afp.goca
Class GraphicsAreaBegin

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.GraphicsAreaBegin

All Implemented Interfaces:
  Streamable, StructuredData

    public class GraphicsAreaBegin

extends AbstractGraphicsDrawingOrder

The beginning of a filled region (graphics area).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`GraphicsAreaBegin()`

Method Summary
`int` `getDataLength()` Returns the data length of this structured field
`void` `setDrawBoundaryLines(boolean drawBoundaryLines)` Sets whether boundary lines are drawn
`java.lang.String` `toString()`
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsAreaBegin

    public GraphicsAreaBegin()

Method Detail

### setDrawBoundaryLines

    public void setDrawBoundaryLines(boolean drawBoundaryLines)

  Sets whether boundary lines are drawn

  Parameters:
    `drawBoundaryLines` - whether boundary lines are drawn

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### getDataLength

    public int getDataLength()

  Returns the data length of this structured field

  Returns:
    the data length of this structured field

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.